# Uses of Class
org.apache.sling.models.impl.model.ConstructorParameter

Packages that use ConstructorParameter
Package
Description
org.apache.sling.models.impl.model

## Uses of ConstructorParameter in org.apache.sling.models.impl.model

Methods in org.apache.sling.models.impl.model that return ConstructorParameter
Modifier and Type
Method
Description
`ConstructorParameter[]`
ModelClassConstructor.`getConstructorParameters()`
`static ConstructorParameter`
ConstructorParameter.`of(Parameter parameter, int parameterIndex, org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory[] processorFactories, org.apache.sling.models.annotations.DefaultInjectionStrategy defaultInjectionStrategy)`
Try to extract parameter names according to https://openjdk.org/jeps/118 (requires javac flag -parameters)